Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.common
Class DisconnectEvent

    java.lang.Object
      |
      +--weblogic.common.DisconnectEvent

public final class DisconnectEvent
extends java.lang.Object

Defines a DisconnectEvent that a T3Client can act upon by implementing the DisconnectListener interface.

Author:
  Copyright (c) 1997-98 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
See Also:
  `DisconnectListener`

Method Summary
`java.lang.String` | `getReason()` Gets the reason for the DisconnectEvent as a String.
`java.lang.Object` | `getSource()` Gets the source for a DisconnectEvent.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getSource

    public java.lang.Object getSource()

  Gets the source for a DisconnectEvent. The source is the object generating the DisconnectEvent, in this case a T3Client.

  Returns:
    Object generating the disconnect

### getReason

    public java.lang.String getReason()

  Gets the reason for the DisconnectEvent as a String. Reasons are often associated with the timeout property of the client, that is, whether a soft, hard, or idle disconnect timeout was initiated by the WebLogic Server. A client may also be disconnected by its request, in which case the reason will be "Normal user disconnect."

  Returns:
    Reason for disconnect

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference